Skip to main content
GET
List reports

Authorizations

Authorization
string
header
required

Query Parameters

report_type_name
string | null

Optional filter for report type name.

display_name
string | null
status
enum<string>[] | null
Available options:
CANCELED,
DONE,
EXPIRED,
FAILED,
IN_PROGRESS,
PENDING,
PENDING_DATA,
SFTP_DELIVERY_FAILED
user_ids
string[] | null
having_any_tags
string | null

Optional filter for report tags, asks for reports that contain at least one of the specified tags.

having_all_tags
string | null

Optional filter for required report tags, asks for reports that contain all of the specified tags.

exclude_having_any_tags
string | null

Optional filter for report exclude tags, asks for reports that do not contain any of the specified tags.

exclude_having_all_tags
string | null

Optional filter for report exclude tags, asks for reports that do not contain all of the specified tags.

search_query
string | null
creation_interval
string | null

Optional filter for report creation date, asks for reports that were created during the specified interval (end date exclusive). Unless an explicit timezone if specified in the interval, the timezone from list request will be used,defaulting to client's timezone.

offset
string | null

Optional filter for offset, defaults to 0.

limit
string | null

Optional filter for limit, defaults to all.

order_by
enum<string> | null

Optional field to sort by. Valid values: NAME, USER, DATE_RUN, DATE_COMPLETED, STATUS. When omitted, reports are returned most recently run first and order is ignored.

Available options:
DATE_COMPLETED,
DATE_RUN,
NAME,
STATUS,
USER
order
enum<string> | null

Optional sort direction for order_by, defaults to ASCENDING. Valid values: ASCENDING (or ASC), DESCENDING (or DESC), matched case-insensitively.

Available options:
ASC,
ASCENDING,
DESC,
DESCENDING

Response

Successful response

completed_date
string | null
required
display_name
string
required
download_uri
string | null
required
formats
enum<string>[]
required
Available options:
CSV,
HEADLESS_CSV,
HEADLESS_PSV,
JSON,
JSONL,
PSV,
XLSX
name
string
required
report_id
string
required
report_type
string
required
tags
string[]
required